# uproot.behaviors.RooCurve.RooCurve

Defined in uproot.behaviors.RooCurve on line 40.

Inheritance order:
uproot.behaviors.TGraph.TGraph

class uproot.behaviors.RooCurve.RooCurve

  Behaviors for RooCurve.

  Beyond the behavior of a `TGraph` this also provides functionality to interpolate the graph at provided points, or extract a stored histogram (given bin edges).

## name

RooCurve.name

  The name of the histogram.

## title

RooCurve.title

  The title of the histogram.

## curve_type

RooCurve.curve_type

  Determines whether curve represents values or errors by checking if it is open or closed.

  Returns “VALUES” or “ERRORS”.

## interpolate

RooCurve.interpolate(xvalues)
  Parameters:

    xvalues (array_like) – xvalues to interpolate at.

  Returns y values when RooCurve is interpolated at the given x values.

## interpolate_asymm_errors

RooCurve.interpolate_asymm_errors(xvalues)
  Parameters:

    xvalues (array_like) – xvalues to interpolate at.

  Returns:

    Upper boundary of uncertainty band. down (array_like): Lower boundary of uncertainty band.

  Return type:

    up (array_like)

  Returns asymmetric y errors when RooCurve is interpolated at the given x values.

## interpolate_errors

RooCurve.interpolate_errors(xvalues)
  Parameters:

    xvalues (array_like) – xvalues to interpolate at.

  Returns y errors when RooCurve is interpolated at the given x values.

## to_boost

RooCurve.to_boost(bin_edges, error_curve=None)
  Parameters:

    - bin_edges (array_like) – Bin edges for histogram.

    - error_curve (RooCurve) – RooCurve visualizing errors.

  Returns `boost-histogram` object by interpolating `RooCurve`.

## to_hist

RooCurve.to_hist(bin_edges, error_curve=None)
  Parameters:

    - bin_edges (array_like) – Bin edges for histogram.

    - error_curve (RooCurve) – RooCurve visualizing errors.

  Returns `hist` object by interpolating `RooCurve`.

## values

Inherited from uproot.behaviors.TGraph.TGraph.

RooCurve.values(axis='both')
  Parameters:

    axis (int or str) – If `0`, `-2`, or `"x"`, get the x axis. If `1`, `-1`, or `"y"`, get the y axis. If `"both"`, get `"x"` and `"y"` axes as a 2-tuple.

  Returns the values of all points in the scatter plot, either as a 1-dimensional NumPy array (if `axis` selects only one) or as a 2-tuple (if `axis="both"`).